    <h2>
        <span>Tambah ROFO Baru</span>
    </h2>
    <br>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_kdBahan">Bulan</label>
                <select class="form-control" id="bulan" name="selectBulan" [(ngModel)]="selectBulan">
                    <option *ngFor="let bulan of bulans" [value]="bulan.value">{{bulan.label}}</option>
                </select>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_kdUmBahan">Tahun </label>
                <select class="form-control" id="tahun" name="selectTahun" [(ngModel)]="selectTahun">
                    <option *ngFor="let tahun of tahuns" [value]="tahun.value">{{tahun.label}}</option>
                </select>
            </div>
        </div>

        <div class="ui-g-12">
            <div style="text-align: right">
                <button pButton type="button" label="Cari Rofo" icon="fa-search"
                    class="ui-button-danger flat-label-button" (click)="cekRofo()">
                </button>
                <button pButton class="btn btn-primary btn-sm float-right" (click)="back()" label="Kembali"
                    class="ui-button-danger flat-label-button">
                </button>
            </div>
        </div>
    </div>
    <hr>
    <div class="row" *ngIf="ViewRofo === true" [hidden]="ViewRofo === false">
        <div class="ui-g-12">
            <div style="text-align: right">
                <button pButton type="button" label="Save Rofo" icon="fa-save"
                    class="ui-button-primary flat-label-button" (click)="createROFO()">
                </button>
            </div>
        </div>
        <p-dataTable [value]="masterProduk" [editable]="true" dataKey="kd_produk" [responsive]="true">
            <p-header>
            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Kode Group">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kd_group}}
                </ng-template>
            </p-column>
            <p-column header="Kode Produk">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kd_produk}}
                </ng-template>
            </p-column>
            <p-column header="Nama Produk">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nm_produk}}
                </ng-template>
            </p-column>
            <p-column header="Rofo Awal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="number" style="width: 70px;" [(ngModel)]="rowData.rofo_awal" />
                </ng-template>
            </p-column>
            <p-column header="Revisi 1">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="number" style="width: 70px;" [(ngModel)]="rowData.revisi1" />
                </ng-template>
            </p-column>
            <p-column header="Revisi 2">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="number" style="width: 70px;" [(ngModel)]="rowData.revisi2" />
                </ng-template>
            </p-column>
            <p-column header="Revisi 3">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="number" style="width: 70px;" [(ngModel)]="rowData.revisi3" />
                </ng-template>
            </p-column>
            <p-column header="Revisi 4">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="number" style="width: 70px;" [(ngModel)]="rowData.revisi4" />
                </ng-template>
            </p-column>
            <p-column header="Revisi 5">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="number" style="width: 70px;" [(ngModel)]="rowData.revisi5" />
                </ng-template>
            </p-column>
            <p-column header="Bulan" [hidden] = 'true'>
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="text" style="width: 70px;" [(ngModel)]="rowData.bulan" />
                </ng-template>
            </p-column>
            <p-column header="Tahun" [hidden] = 'true'>
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="text" style="width: 70px;" [(ngModel)]="rowData.tahun"/>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>

    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>

